Jump to: navigation, search

8.5.303.17

Genesys Rules System Rules Authoring Tool Release Notes

Release Date Release Type Restrictions AIX Linux Solaris Windows
05/24/18 Hot Fix   X   X

Helpful Links

Releases Info


Product Documentation

Genesys Rules System

Genesys Products

List of Release Notes

What's New

This release includes only resolved issues.


Resolved Issues

This release contains the following resolved issues:


GRAT was upgraded in release 8.5.303.16 to protect against a deserialization vulnerability discovered in Jackson 2.9.2. This release of GRAT is now built with Jackson 2.9.4 and Jersey 2.2.6.

Warning: Genesys Web Engagement (GWE) libraries that are included in GRAT still use versions of Jackson that contain this vulnerability, and this can cause problems when deploying rules to the GWE engine. So, only when GRAT is used in conjunction with GWE, customers should revert to GRAT version 8.5.303.14. (GRS-3192)


Previously, when using certain language packs, the browser might display errors when viewing a deployment history that contained failed deployments.  Now, such scenarios display correctly.   (GRS-3215)




Upgrade Notes

No special procedure is required to upgrade to release 8.5.303.17.

Feedback

Comment on this article:

blog comments powered by Disqus
This page was last modified on August 23, 2018, at 01:31.